# Moon

#### new Cesium.Moon(options)
Scene/Moon.js 32

Draws the Moon in 3D.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`show` | Boolean | `true` | optional Determines whether the moon will be rendered.
`textureUrl` | String | `buildModuleUrl('Assets/Textures/moonSmall.jpg')` | optional The moon texture.
`ellipsoid` | Ellipsoid | `Ellipsoid.MOON` | optional The moon ellipsoid.
`onlySunLighting` | Boolean | `true` | optional Use the sun as the only light source.

##### Example:

    scene.moon = new Cesium.Moon();

##### See:

- Scene#moon

### Members

#### readonly ellipsoid : Ellipsoid
Scene/Moon.js 86

Get the ellipsoid that defines the shape of the moon.

Default Value: ``Ellipsoid.MOON``

#### onlySunLighting : Boolean
Scene/Moon.js 62

Use the sun as the only light source.

Default Value: `true`

#### show : Boolean
Scene/Moon.js 46

Determines if the moon will be shown.

Default Value: `true`

#### textureUrl : String
Scene/Moon.js 53

The moon texture.

Default Value: `buildModuleUrl('Assets/Textures/moonSmall.jpg')`

### Methods

#### destroy()
Scene/Moon.js 169

Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.
Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

##### Example:

    moon = moon && moon.destroy();

##### See:

- Moon#isDestroyed

#### isDestroyed() → Boolean
Scene/Moon.js 149

Returns true if this object was destroyed; otherwise, false.
If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

##### Returns:

`true` if this object was destroyed; otherwise, `false`.

##### See:

- Moon#destroy